%include	/usr/lib/rpm/macros.php
%define		_class		Validate
%define		_subclass	ptBR
%define		_status		alpha
%define		_pearname	Validate_ptBR

Summary:	%{_pearname} - Validation class for Brazil
Summary(pl.UTF-8):	%{_pearname} - Klasa sprawdzająca poprawność dla Brazylii
Name:		php-pear-%{_pearname}
Version:	0.5.5
Release:	3
Epoch:		0
License:	New BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	5e745946f1d4fb2c4969c0b6bc812d5f
URL:		http://pear.php.net/package/Validate_ptBR/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.2.0
Requires:	php-pear
Obsoletes:	php-pear-Validate_ptBR-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Package contains locale validation for Brazil such as:
- Postal Code
- CNPJ
- CPF
- Region (brazilian states)
- Phone Number
- Vehicle's plate

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Pakiet do sprawdzania poprawności dla Brazylii danych takich jak:
- kod pocztowy
- CNPJ
- CPF
- region (stan brazylijski)
- numer telefnu
- numer rejestracyjny pojazdu

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Validate/ptBR.php
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> 1de1cfe
- use php(core) for php engine version deps
- release 2 (by relup.sh)

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> aae0511
- release 2

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 937d688
- dropped -tests subpackage

* Sat Dec 27 2008 Adam Gołębiowski <adamg@pld-linux.org> 375dd6c
-updated to 0.5.5

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 998ac50
- rel 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 2a24cf2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5c2f6a0
- converted to UTF-8

* Mon Sep 04 2006 Adam Gołębiowski <adamg@pld-linux.org> f76ba50
- updated to 0.5.4
- dropped bogus Obsoletes: -tests

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 1944d00
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sat Apr 29 2006 Jakub Bogusz <qboosh@pld-linux.org> 8ea68b1
- missing dir, pl cosmetic, explicit Epoch (used in -tests)

* Mon Apr 24 2006 Adam Gołębiowski <adamg@pld-linux.org> 9f23265
- new

